Bug 1287794 - Review Request: archaius - Library for configuration management API
Review Request: archaius - Library for configuration management API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On: 1239419 1255806
Blocks: 1289478
  Show dependency treegraph
 
Reported: 2015-12-02 11:57 EST by Roman Mohr
Modified: 2015-12-16 09:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 08:23:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Roman Mohr 2015-12-02 11:57:07 EST
Spec URL: https://rfenkhuber.fedorapeople.org/archaius/archaius.spec
SRPM URL: https://rfenkhuber.fedorapeople.org/archaius/archaius-0.7.1-3.fc22.src.rpm
Description: Archaius is a configuration management library with a focus on Dynamic Properties sourced from multiple configuration stores.
Fedora Account System Username: rfenkhuber
Comment 1 gil cattaneo 2015-12-02 12:03:15 EST
can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1276625 ?
Comment 2 gil cattaneo 2015-12-02 12:55:36 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-
  built_JAR_files_.2F_Other_bundled_software'
 Please, use find . -name '*.jar' ! -name 'classpathTestResources.jar' -delete
 so you do not remove test resources
===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 40 files have unknown
     license. Detailed output of licensecheck in
     /home/gil/1287794-archaius/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[-]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     archaius-javadoc , archaius-core , archaius-zookeeper
[x]: Package functions as described.
[!]: Latest version is packaged.
 Available v0.7.3. Please consider upgrading
[x]: Package does not include license text files separate from upstream.
[?]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: archaius-0.7.1-3.fc24.noarch.rpm
          archaius-javadoc-0.7.1-3.fc24.noarch.rpm
          archaius-core-0.7.1-3.fc24.noarch.rpm
          archaius-zookeeper-0.7.1-3.fc24.noarch.rpm
          archaius-0.7.1-3.fc24.src.rpm
archaius.noarch: E: zero-length /usr/share/doc/archaius/CHANGELOG.md
archaius-core.noarch: W: summary-not-capitalized C archaius core library
archaius-core.noarch: W: no-documentation
archaius-zookeeper.noarch: W: summary-not-capitalized C archaius zookeeper connection library
archaius-zookeeper.noarch: W: no-documentation
5 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
archaius-zookeeper.noarch: W: summary-not-capitalized C archaius zookeeper connection library
archaius-zookeeper.noarch: W: no-documentation
archaius.noarch: E: zero-length /usr/share/doc/archaius/CHANGELOG.md
archaius-core.noarch: W: summary-not-capitalized C archaius core library
archaius-core.noarch: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 4 warnings.



Requires
--------
archaius-zookeeper (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils

archaius (rpmlib, GLIBC filtered):

archaius-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

archaius-core (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils



Provides
--------
archaius-zookeeper:
    archaius-zookeeper
    mvn(com.netflix.archaius:archaius-zookeeper)

archaius:
    archaius

archaius-javadoc:
    archaius-javadoc

archaius-core:
    archaius-core
    mvn(com.netflix.archaius:archaius-core)



Source checksums
----------------
https://github.com/Netflix/archaius/archive/v0.7.1.tar.gz#/archaius-0.7.1.tar.gz :
  CHECKSUM(SHA256) this package     : 1576a8cd491903ae38cfcf3deef4e95b43418e8c4acfff277005cb6dbc922f42
  CHECKSUM(SHA256) upstream package : 1576a8cd491903ae38cfcf3deef4e95b43418e8c4acfff277005cb6dbc922f42


Jar and class files in source
-----------------------------
./archaius-0.7.1/gradle/wrapper/gradle-wrapper.jar
./archaius-0.7.1/archaius-core/src/test/resources/classpathTestResources.jar


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1287794 --plugins Java -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 gil cattaneo 2015-12-02 13:01:54 EST
Issues:

- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-
  built_JAR_files_.2F_Other_bundled_software'
 Please, use find . -name '*.jar' ! -name 'classpathTestResources.jar' -delete
 so you do not remove test resources

[!]: License file installed when any subpackage combination is installed.

[!]: Latest version is packaged.
 Available v0.7.3. Please consider upgrading

Please, do not install: archaius.noarch: E: zero-length /usr/share/doc/archaius/CHANGELOG.md

Please, merge main package with core sub package

Please, correct
archaius-zookeeper.noarch: W: summary-not-capitalized C archaius zookeeper connection library
archaius-core.noarch: W: summary-not-capitalized C archaius core library
Comment 4 gil cattaneo 2015-12-02 13:04:20 EST
Another problem, see https://lists.fedoraproject.org/pipermail/java-devel/2015-December/005711.html
You should use %gradle_build macro
Comment 6 Roman Mohr 2015-12-03 04:39:44 EST
(In reply to gil cattaneo from comment #3)
> Issues:
> 
> - Bundled jar/class files should be removed before build
>   Note: Jar files in source (see attachment)
>   See: http://fedoraproject.org/wiki/Packaging:Java#Pre-
>   built_JAR_files_.2F_Other_bundled_software'
>  Please, use find . -name '*.jar' ! -name 'classpathTestResources.jar'
> -delete
>  so you do not remove test resources
> 
> [!]: License file installed when any subpackage combination is installed.

Done
> [!]: Latest version is packaged.
>  Available v0.7.3. Please consider upgrading
Done
> Please, do not install: archaius.noarch: E: zero-length
> /usr/share/doc/archaius/CHANGELOG.md
> 
> Please, merge main package with core sub package
Done
> Please, correct
> archaius-zookeeper.noarch: W: summary-not-capitalized C archaius zookeeper
> connection library
> archaius-core.noarch: W: summary-not-capitalized C archaius core library
Done
Comment 7 Roman Mohr 2015-12-03 04:42:41 EST
(In reply to gil cattaneo from comment #4)
> Another problem, see
> https://lists.fedoraproject.org/pipermail/java-devel/2015-December/005711.
> html
> You should use %gradle_build macro

Want to stick with gradle. For FC23 I would have to use gradle-local. For FC24 %gradle_build and I would have to delete tons of build.gradle configuration just to make this work because I can't select just subprojects. 

I see no advantage in using %gradle_buil over gradle as long as there are no macros to manipule build.gradle files like we can manipule pom files with xmvn.
Comment 9 gil cattaneo 2015-12-03 06:18:40 EST
Please, remove E: zero-length /usr/share/doc/*/CHANGELOG.md:

%doc CHANGELOG.md

from

%files core -f .mfiles-core
%doc CHANGELOG.md README.md

%doc CHANGELOG.md README.md

from

%files zookeeper -f .mfiles-zookeeper
%doc CHANGELOG.md README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%doc CHANGELOG.md README.md
Comment 11 Roman Mohr 2015-12-03 07:25:29 EST
(In reply to gil cattaneo from comment #9)
> Please, remove E: zero-length /usr/share/doc/*/CHANGELOG.md:
> 
> %doc CHANGELOG.md
> 
> from
> 
> %files core -f .mfiles-core
> %doc CHANGELOG.md README.md
> 
> %doc CHANGELOG.md README.md
> 
> from
> 
> %files zookeeper -f .mfiles-zookeeper
> %doc CHANGELOG.md README.md
> %license LICENSE
> 
> %files javadoc -f .mfiles-javadoc
> %doc CHANGELOG.md README.md

Done. Thx.
Comment 12 gil cattaneo 2015-12-03 07:34:06 EST
(In reply to Roman Mohr from comment #11)
> (In reply to gil cattaneo from comment #9)
> > Please, remove E: zero-length /usr/share/doc/*/CHANGELOG.md:
> > 
> > %doc CHANGELOG.md
> > 
> > from
> > 
> > %files core -f .mfiles-core
> > %doc CHANGELOG.md README.md
> > 
> > %doc CHANGELOG.md README.md
> > 
> > from
> > 
> > %files zookeeper -f .mfiles-zookeeper
> > %doc CHANGELOG.md README.md
> > %license LICENSE
> > 
> > %files javadoc -f .mfiles-javadoc
> > %doc CHANGELOG.md README.md
> 
> Done. Thx.

and README file ? already have enough in the packet core ...
Comment 14 Roman Mohr 2015-12-03 07:54:10 EST
(In reply to gil cattaneo from comment #12)
> (In reply to Roman Mohr from comment #11)
> > (In reply to gil cattaneo from comment #9)
> > > Please, remove E: zero-length /usr/share/doc/*/CHANGELOG.md:
> > > 
> > > %doc CHANGELOG.md
> > > 
> > > from
> > > 
> > > %files core -f .mfiles-core
> > > %doc CHANGELOG.md README.md
> > > 
> > > %doc CHANGELOG.md README.md
> > > 
> > > from
> > > 
> > > %files zookeeper -f .mfiles-zookeeper
> > > %doc CHANGELOG.md README.md
> > > %license LICENSE
> > > 
> > > %files javadoc -f .mfiles-javadoc
> > > %doc CHANGELOG.md README.md
> > 
> > Done. Thx.
> 
> and README file ? already have enough in the packet core ...

Hope it is ok now. Now README is only included in the core package
Comment 15 gil cattaneo 2015-12-03 08:10:49 EST
(In reply to Roman Mohr from comment #14)

> > and README file ? already have enough in the packet core ...
> 
> Hope it is ok now. Now README is only included in the core package

yes, thanks! Approved.
Comment 16 Gwyn Ciesla 2015-12-04 08:32:34 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/archaius
Comment 17 Fedora Update System 2015-12-05 02:52:42 EST
archaius-0.7.3-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3ae4cc39c5
Comment 18 Fedora Update System 2015-12-05 03:14:29 EST
archaius-0.4.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-dd72806724
Comment 19 Fedora Update System 2015-12-06 03:20:57 EST
archaius-0.4.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update archaius'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-dd72806724
Comment 20 Fedora Update System 2015-12-06 12:20:50 EST
archaius-0.7.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update archaius'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3ae4cc39c5
Comment 21 Fedora Update System 2015-12-16 08:23:02 EST
archaius-0.4.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-12-16 09:37:11 EST
archaius-0.7.3-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.